<?php
/*
Plugin Name: Toluu Widget
Plugin URI: http://www.KnightKnetwork.com/toluuWidget
Version: 0.5
Author: <a href="http://www.KnightKnetwork.com/">David Knight</a>
Description: Display a <a href="http://www.toluu.com">Toluu</a> badge on your sidebar
*/
function toluu_sidebar_init(){
	if ( !function_exists('register_sidebar_widget') || !function_exists('register_widget_control') )
        return;

	function toluu_sidebar_badge($args){
		extract($args);
		
		$toluuOptions = get_option('toluu_sidebar');
        $title = empty($toluuOptions['title']) ? 'none' : $toluuOptions['title'];
        $toluuID = empty($toluuOptions['toluuID']) ? 'Toluu Nickname' : $toluuOptions['toluuID']; 
		$toluuBadgeHeight = empty($toluuOptions['toluuBadgeHeight']) ? 90 : $toluuOptions['toluuBadgeHeight']; 
		$toluuBadgeColor = empty($toluuOptions['toluuBadgeColor']) ? "dark" : $toluuOptions['toluuBadgeColor']; 
		$toluuBadgeNum = 1;
		if($toluuBadgeHeight == 45) $toluuBadgeNum += 2;
		if($toluuBadgeColor == "light") $toluuBadgeNum += 1;
		
		echo $before_widget;
		if ($title != 'none'){
			echo $before_title
				. $title
				. $after_title;
		}
		?>
            <div style="text-align: center;">
			  <a href='http://www.toluu.com/<?php echo $toluuID ?>'>
			  <img src='http://www.toluu.com/gfx/badges/badge<?php echo $toluuBadgeNum ?>.gif' width='120' height='<?php echo $toluuBadgeHeight ?>' alt='Discover the feeds I read. Follow me on http://www.toluu.com to see!' title='Follow me on Toluu to see what feeds I read'></a>
			</div>
		<?php echo $after_widget;
	} // end  toluu_sidebar_badge	
	
    function toluu_sidebar_control() {

		$options = get_option('toluu_sidebar');

        // This is for handing the control form submission.
        if ( $_POST['toluu-submit'] ) {
            // Clean up control form submission options
            $newoptions['title'] = strip_tags(stripslashes($_POST['toluu-title']));
            $newoptions['toluuID'] = strip_tags(stripslashes($_POST['toluu-ID']));
			$newoptions['toluuBadgeHeight'] = $_POST['toluuBannerH'];
			$newoptions['toluuBadgeColor'] = $_POST['toluuBannerC'];
	        // If original widget options do not match control form
	        // submission options, update them.
	        if ( $options != $newoptions ) {
	            $options = $newoptions;
	            update_option('toluu_sidebar', $options);
	        }

        }

        // Format options as valid HTML. Hey, why not.
        $title = htmlspecialchars($options['title'], ENT_QUOTES);
        $toluuID = htmlspecialchars($options['toluuID'], ENT_QUOTES);
		$toluuBadgeHeight = $options['toluuBadgeHeight'];
        $toluuBadgeColor = $options['toluuBadgeColor'];

// The HTML below is the control form for editing options.
?>
        <div>
			<label for="toluu-title" style="line-height:35px;display:block;">Toluu Widget title: <input type="text" id="toluu-title" name="toluu-title" value="<?php echo $title; ?>" /></label>
			<label for="toluu-ID" style="line-height:35px;display:block;">Toluu ID: <input type="text" id="toluu-ID" name="toluu-ID" value="<?php echo $toluuID; ?>" /></label>
			<label for="toluu-tall">Badge Height(pixels): <input type="radio" id="toluu-tall" name="toluuBannerH" value=90 <?php if ($toluuBadgeHeight == 90) { _e('checked="checked"', "Toluu Widget"); }?>/>90</label>&nbsp;&nbsp;&nbsp;&nbsp;
			<label for="toluu-short"><input type="radio" id="toluu-short" name="toluuBannerH" value=45 <?php if ($toluuBadgeHeight == 45) { _e('checked="checked"', "Toluu Widget"); }?>/>45</label><br /><br />
			<label for="toluu-dark">Badge Color: <input type="radio" id="toluu-dark" name="toluuBannerC" value= "dark" <?php if ($toluuBadgeColor == "dark") { _e('checked="checked"', "Toluu Widget"); }?>/>Dark</label>&nbsp;&nbsp;&nbsp;&nbsp;
			<label for="toluu-light"><input type="radio" id="toluu-light" name="toluuBannerC" value= "light" <?php if ($toluuBadgeColor == "light") { _e('checked="checked"', "Toluu Widget"); }?>/>Light</label><br /><br />
			<script language="javascript" src="http://tipjoy.com/buttonGen?targetUser=KnightKnetwork&targetUrl=http://knightknetwork.com/2008/03/27/toluu-badge-widget/" scrolling="no" frameborder="0" marginwidth="0" marginheight="0" hspace="0" vspace="0" allowtransparency="true" ></script>
			<input type="hidden" name="toluu-submit" id="toluu-submit" value="1" />
        </div>
		<?php
	} // end of widget_mywidget_control() 
	
	register_sidebar_widget('Toluu Badge', 'toluu_sidebar_badge');
	register_widget_control('Toluu Badge', 'toluu_sidebar_control');
}
add_action('plugins_loaded', 'toluu_sidebar_init');
?>